<script>
import CardBasicStyle from '~/components/common/card-basic-style.vue';

export default {
  name: 'SolutionsCtaCard',
  components: { CardBasicStyle },
  props: {
    data: { type: Object, required: true },
  },
};
</script>

<template>
  <section class="cta-card">
    <CardBasicStyle>
      <template #header>
        {{ data.title }}
      </template>
      <SlpTypography class="slp-mb-24" tag="div" variant="body1">
        {{ data.description }}
      </SlpTypography>
      <SlpButton
        variant="primary"
        class="slp-mt-32"
        :data-ga-name="data.button.data_ga_name"
        :data-ga-location="data.button.data_ga_location"
        :href="data.button.href"
      >
        {{ data.button.text }}
      </SlpButton>
    </CardBasicStyle>
  </section>
</template>

<style lang="scss" scoped>
.cta-card {
  margin: $spacing-32 0 160px 0;
}
</style>
